{
  "description": "Overview Dashboard for Amazon MSK",
  "image": "data:image/svg+xml;base64,[encoded data, 8924 characters]",
  "layout": [
    {
      "h": 6,
      "i": "238ff900-c0e4-4e29-83e3-d6acfcc9c6e5",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 0,
      "y": 0
    },
    {
      "h": 6,
      "i": "e201e9c4-7a52-4558-a5f9-10d8686a6890",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 6,
      "y": 0
    },
    {
      "h": 6,
      "i": "fcf5c63c-5da6-4f96-9243-5f42980df049",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 0,
      "y": 6
    },
    {
      "h": 6,
      "i": "601ec1b7-f614-4678-b445-7f6b8fec2e16",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 6,
      "y": 6
    },
    {
      "h": 6,
      "i": "e2ab4538-bc01-4e96-b3e0-c7f73a2c972f",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 0,
      "y": 12
    },
    {
      "h": 6,
      "i": "f15ba73d-d85e-48ac-b478-e6911965e9e3",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 6,
      "y": 12
    }
  ],
  "panelMap": {},
  "tags": [],
  "title": "Overview of Amazon MSK",
  "uploadedGrafana": false,
  "variables": {
    "627dec44-a04e-44c7-9dd4-b0fdaf4b5b62": {
      "allSelected": false,
      "customValue": "",
      "description": "Cloud Account ID of AWS",
      "id": "627dec44-a04e-44c7-9dd4-b0fdaf4b5b62",
      "key": "627dec44-a04e-44c7-9dd4-b0fdaf4b5b62",
      "modificationUUID": "b23952ff-b081-468c-bf50-96a062383743",
      "multiSelect": false,
      "name": "Account",
      "order": 0,
      "queryValue": "SELECT DISTINCT JSONExtractString(labels, 'cloud.account.id') AS `cloud.account.id`\nFROM signoz_metrics.distributed_time_series_v4_1day\nWHERE metric_name = 'aws_Kafka_KafkaDataLogsDiskUsed_max' GROUP BY `cloud.account.id`\n",
      "showALLOption": false,
      "sort": "DISABLED",
      "textboxValue": "",
      "type": "QUERY"
    },
    "c69e90bd-adaa-4f75-9108-1c6e91a00fbc": {
      "allSelected": false,
      "customValue": "",
      "description": "AWS Region",
      "id": "c69e90bd-adaa-4f75-9108-1c6e91a00fbc",
      "modificationUUID": "07f23d13-c94e-452c-b917-04124f910942",
      "multiSelect": false,
      "name": "Region",
      "order": 0,
      "queryValue": "SELECT DISTINCT JSONExtractString(labels, 'cloud.region') AS region\nFROM signoz_metrics.distributed_time_series_v4_1day\nWHERE metric_name = 'aws_Kafka_KafkaDataLogsDiskUsed_max' AND JSONExtractString(labels, 'cloud.account.id') IN {{.Account}} GROUP BY region\n",
      "showALLOption": false,
      "sort": "DISABLED",
      "textboxValue": "",
      "type": "QUERY"
    }
  },
  "version": "v4",
  "widgets": [
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "238ff900-c0e4-4e29-83e3-d6acfcc9c6e5",
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_Kafka_KafkaDataLogsDiskUsed_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_Kafka_KafkaDataLogsDiskUsed_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "be8452fb",
                    "key": {
                      "dataType": "string",
                      "id": "Broker_ID--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "Broker_ID",
                      "type": "tag"
                    },
                    "op": "exists",
                    "value": ""
                  },
                  {
                    "id": "8b658843",
                    "key": {
                      "dataType": "string",
                      "id": "cloud.account.id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud.account.id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "9cbc21ee",
                    "key": {
                      "dataType": "string",
                      "id": "cloud.region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud.region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "Cluster_Name--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "Cluster_Name",
                  "type": "tag"
                },
                {
                  "dataType": "string",
                  "id": "Broker_ID--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "Broker_ID",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "Broker {{Broker_ID}} ({{Cluster_Name}})",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "caafc0b7-fc3c-472d-87cd-ae176e4d9602",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Disk usage by (Cluster, Broker)",
      "yAxisUnit": "percent"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "e201e9c4-7a52-4558-a5f9-10d8686a6890",
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_Kafka_CpuUser_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_Kafka_CpuUser_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "03054a63",
                    "key": {
                      "dataType": "string",
                      "id": "Broker_ID--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "Broker_ID",
                      "type": "tag"
                    },
                    "op": "exists",
                    "value": ""
                  },
                  {
                    "id": "754c3c99",
                    "key": {
                      "dataType": "string",
                      "id": "cloud.account.id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud.account.id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "09ad3a79",
                    "key": {
                      "dataType": "string",
                      "id": "cloud.region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud.region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "Broker_ID--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "Broker_ID",
                  "type": "tag"
                },
                {
                  "dataType": "string",
                  "id": "Cluster_Name--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "Cluster_Name",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "Broker {{Broker_ID}} ({{Cluster_Name}})",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "476bd12d-7454-41e9-89b3-27406083bbaa",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "CPU (User) usage by (Cluster, Broker)",
      "yAxisUnit": "percent"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "fcf5c63c-5da6-4f96-9243-5f42980df049",
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_Kafka_CpuSystem_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_Kafka_CpuSystem_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "1c4feb03",
                    "key": {
                      "dataType": "string",
                      "id": "Broker_ID--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "Broker_ID",
                      "type": "tag"
                    },
                    "op": "exists",
                    "value": ""
                  },
                  {
                    "id": "3e5db1d7",
                    "key": {
                      "dataType": "string",
                      "id": "cloud.account.id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud.account.id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "9e9bf94c",
                    "key": {
                      "dataType": "string",
                      "id": "cloud.region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud.region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "Broker_ID--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "Broker_ID",
                  "type": "tag"
                },
                {
                  "dataType": "string",
                  "id": "Cluster_Name--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "Cluster_Name",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "Broker {{Broker_ID}} ({{Cluster_Name}})",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "91132e98-9068-48cf-ad89-af9a4bcb5a40",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "CPU (System) usage by (Cluster, Broker)",
      "yAxisUnit": "percent"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "601ec1b7-f614-4678-b445-7f6b8fec2e16",
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_Kafka_NetworkTxPackets_sum--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_Kafka_NetworkTxPackets_sum",
                "type": "Gauge"
              },
              "aggregateOperator": "sum",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "df3f9941",
                    "key": {
                      "dataType": "string",
                      "id": "Broker_ID--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "Broker_ID",
                      "type": "tag"
                    },
                    "op": "exists",
                    "value": ""
                  },
                  {
                    "id": "2233f9a5",
                    "key": {
                      "dataType": "string",
                      "id": "cloud.region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud.region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  },
                  {
                    "id": "52bd69d4",
                    "key": {
                      "dataType": "string",
                      "id": "cloud.account.id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud.account.id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "Broker_ID--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "Broker_ID",
                  "type": "tag"
                },
                {
                  "dataType": "string",
                  "id": "Cluster_Name--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "Cluster_Name",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "Broker {{Broker_ID}} ({{Cluster_Name}})",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "sum",
              "stepInterval": 60,
              "timeAggregation": "sum"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "47d4e8b7-2ca3-412c-a48a-bfbd592b0709",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": " Network TX packets by (Cluster, Broker)",
      "yAxisUnit": "none"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "e2ab4538-bc01-4e96-b3e0-c7f73a2c972f",
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_Kafka_NetworkRxPackets_sum--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_Kafka_NetworkRxPackets_sum",
                "type": "Gauge"
              },
              "aggregateOperator": "sum",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "a00425be",
                    "key": {
                      "dataType": "string",
                      "id": "cloud.region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud.region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  },
                  {
                    "id": "726d60d7",
                    "key": {
                      "dataType": "string",
                      "id": "Broker_ID--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "Broker_ID",
                      "type": "tag"
                    },
                    "op": "exists",
                    "value": ""
                  },
                  {
                    "id": "02adea69",
                    "key": {
                      "dataType": "string",
                      "id": "cloud.account.id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud.account.id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "Broker_ID--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "Broker_ID",
                  "type": "tag"
                },
                {
                  "dataType": "string",
                  "id": "Cluster_Name--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "Cluster_Name",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "Broker {{Broker_ID}} ({{Cluster_Name}})",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "sum",
              "stepInterval": 60,
              "timeAggregation": "sum"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "1c6ec479-a7d2-4f8f-bb31-1bf2a6b6fc25",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Network RX packets by (Cluster, Broker)",
      "yAxisUnit": "none"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "f15ba73d-d85e-48ac-b478-e6911965e9e3",
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_Kafka_SumOffsetLag_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_Kafka_SumOffsetLag_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "0626eebd",
                    "key": {
                      "dataType": "string",
                      "id": "cloud.account.id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud.account.id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "b633d867",
                    "key": {
                      "dataType": "string",
                      "id": "cloud.region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud.region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "Cluster_Name--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "Cluster_Name",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "({{Cluster_Name}})",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "49e4cbd5-d4d1-40a4-8724-7d6580dee56e",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Lag Offset by Cluster",
      "yAxisUnit": "none"
    }
  ]
}
